Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.exist.xmlrpc
Class RpcConnection

    java.lang.Object
      java.lang.Thread
          org.exist.xmlrpc.RpcConnection

All Implemented Interfaces:
  java.lang.Runnable

public class RpcConnection
extends java.lang.Thread

This class implements the actual methods defined by `RpcAPI`.

Author:
  Wolfgang Meier (wolfgang@exist-db.org)

Field Summary
`static java.lang.String` | `EXIST_NS`

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`RpcConnection(Configuration conf, org.exist.xmlrpc.RpcServer.ConnectionPool pool, java.lang.String id)`

Method Summary
`void` | `backup(User user, java.lang.String userbackup, java.lang.String password, java.lang.String destcollection, java.lang.String collection)`
`java.util.Hashtable` | `compile(User user, java.lang.String query, java.util.Hashtable parameters)`
`void` | `configureCollection(User user, java.lang.String collName, java.lang.String configuration)`
`void` | `configureCollection(User user, XmldbURI collUri, java.lang.String configuration)`
`void` | `createCollection(User user, java.lang.String name, java.util.Date created)`
`void` | `createCollection(User user, XmldbURI collUri, java.util.Date created)`
`java.lang.String` | `createId(User user, java.lang.String collName)`
`java.lang.String` | `createId(User user, XmldbURI collUri)`
`java.lang.String` | `createResourceId(User user, java.lang.String collectionName)`
`java.lang.String` | `createResourceId(User user, XmldbURI collUri)`
`boolean` | `dataBackup(User user, java.lang.String dest)`
`java.util.Hashtable` | `describeCollection(User user, java.lang.String rootCollection)`
`java.util.Hashtable` | `describeCollection(User user, XmldbURI collUri)`
`java.util.Hashtable` | `describeResource(User user, java.lang.String resourceName)`
`java.util.Hashtable` | `describeResource(User user, XmldbURI resourceUri)`
`java.util.Hashtable` | `execute(User user, java.lang.String xpath, java.util.Hashtable parameters)`
`int` | `executeQuery(User user, java.lang.String xpath, java.util.Hashtable parameters)`
`byte[]` | `getBinaryResource(User user, java.lang.String name)`
`byte[]` | `getBinaryResource(User user, XmldbURI name)`
`java.util.Hashtable` | `getCollectionDesc(User user, java.lang.String rootCollection)`
`java.util.Hashtable` | `getCollectionDesc(User user, XmldbURI rootUri)`
`java.util.Date` | `getCreationDate(User user, java.lang.String collectionPath)`
`java.util.Date` | `getCreationDate(User user, XmldbURI collUri)`
`java.util.Vector` | `getDocType(User user, java.lang.String documentPath)`
`java.util.Vector` | `getDocType(User user, XmldbURI docUri)`
`java.lang.String` | `getDocument(User user, java.lang.String docName, java.util.Hashtable parametri)`
`java.lang.String` | `getDocument(User user, XmldbURI docUri, java.util.Hashtable parametri)`
`byte[]` | `getDocumentChunk(User user, java.lang.String name, int start, int len)`
`java.util.Hashtable` | `getDocumentData(User user, java.lang.String docName, java.util.Hashtable parameters)`
`java.util.Vector` | `getDocumentListing(User user)`
`java.util.Vector` | `getDocumentListing(User user, java.lang.String collName)`
`java.util.Vector` | `getDocumentListing(User user, XmldbURI collUri)`
`java.util.Vector` | `getGroups(User user)`
`int` | `getHits(User user, int resultId)`
`java.util.Vector` | `getIndexedElements(User user, java.lang.String collectionName, boolean inclusive)`
`java.util.Vector` | `getIndexedElements(User user, XmldbURI collUri, boolean inclusive)`
`java.util.Hashtable` | `getNextChunk(User user, java.lang.String handle, int offset)`
`java.util.Hashtable` | `getPermissions(User user, java.lang.String name)`
`java.util.Hashtable` | `getPermissions(User user, XmldbURI uri)`
`int` | `getResourceCount(User user, java.lang.String collectionName)`
`int` | `getResourceCount(User user, XmldbURI collUri)`
`java.util.Vector` | `getTimestamps(User user, java.lang.String documentPath)`
`java.util.Vector` | `getTimestamps(User user, XmldbURI docUri)`
`java.util.Hashtable` | `getUser(User user, java.lang.String name)`
`java.util.Vector` | `getUsers(User user)`
`boolean` | `hasCollection(User user, java.lang.String collectionName)`
`boolean` | `hasCollection(User user, XmldbURI collUri)`
`boolean` | `hasDocument(User user, java.lang.String documentPath)`
`boolean` | `hasDocument(User user, XmldbURI docUri)`
`java.lang.String` | `hasUserLock(User user, java.lang.String documentPath)`
`java.lang.String` | `hasUserLock(User user, XmldbURI docURI)`
`boolean` | `isValid(User user, java.lang.String documentPath)` Validate if specified document is Valid.
`boolean` | `isValid(User user, XmldbURI docUri)`
`boolean` | `isXACMLEnabled()`
`java.util.Hashtable` | `listCollectionPermissions(User user, java.lang.String name)`
`java.util.Hashtable` | `listCollectionPermissions(User user, XmldbURI collUri)`
`java.util.Hashtable` | `listDocumentPermissions(User user, java.lang.String name)`
`java.util.Hashtable` | `listDocumentPermissions(User user, XmldbURI collUri)`
`boolean` | `lockResource(User user, java.lang.String documentPath, java.lang.String userName)`
`boolean` | `lockResource(User user, XmldbURI docURI, java.lang.String userName)`
`boolean` | `moveOrCopyCollection(User user, java.lang.String collectionName, java.lang.String destinationPath, java.lang.String newName, boolean move)`
`boolean` | `moveOrCopyCollection(User user, XmldbURI collUri, XmldbURI destUri, XmldbURI newName, boolean move)`
`boolean` | `moveOrCopyResource(User user, java.lang.String documentPath, java.lang.String destinationPath, java.lang.String newName, boolean move)`
`boolean` | `moveOrCopyResource(User user, XmldbURI docUri, XmldbURI destUri, XmldbURI newName, boolean move)`
`boolean` | `parse(User user, byte[] xml, java.lang.String documentPath, boolean replace)`
`boolean` | `parse(User user, byte[] xml, java.lang.String documentPath, boolean replace, java.util.Date created, java.util.Date modified)`
`boolean` | `parse(User user, byte[] xml, XmldbURI docUri, boolean replace)`
`boolean` | `parse(User user, byte[] xml, XmldbURI docUri, boolean replace, java.util.Date created, java.util.Date modified)`
`boolean` | `parseLocal(User user, java.lang.String localFile, java.lang.String documentPath, boolean replace)` Parse a file previously uploaded with upload.
`boolean` | `parseLocal(User user, java.lang.String localFile, java.lang.String documentPath, boolean replace, java.util.Date created, java.util.Date modified)`
`boolean` | `parseLocal(User user, java.lang.String localFile, XmldbURI docUri, boolean replace)`
`boolean` | `parseLocal(User user, java.lang.String localFile, XmldbURI docUri, boolean replace, java.util.Date created, java.util.Date modified)`
`java.lang.String` | `printDiagnostics(User user, java.lang.String query, java.util.Hashtable parameters)`
`java.lang.String` | `query(User user, java.lang.String xpath, int howmany, int start, java.util.Hashtable parameters)`
`java.util.Hashtable` | `queryP(User user, java.lang.String xpath, java.lang.String documentPath, java.lang.String s_id, java.util.Hashtable parameters)`
`java.util.Hashtable` | `queryP(User user, java.lang.String xpath, XmldbURI docUri, java.lang.String s_id, java.util.Hashtable parameters)`
`void` | `reindexCollection(User user, java.lang.String collectionName)`
`void` | `reindexCollection(User user, XmldbURI collUri)`
`void` | `releaseQueryResult(int handle)`
`void` | `remove(User user, java.lang.String documentPath)`
`void` | `remove(User user, XmldbURI docUri)`
`boolean` | `removeCollection(User user, java.lang.String collectionName)`
`boolean` | `removeCollection(User user, XmldbURI collURI)`
`boolean` | `removeUser(User user, java.lang.String name)`
`java.lang.String` | `retrieve(User user, int resultId, int num, java.util.Hashtable parameters)`
`java.lang.String` | `retrieve(User user, java.lang.String documentPath, java.lang.String s_id, java.util.Hashtable parameters)`
`java.lang.String` | `retrieve(User user, XmldbURI docUri, java.lang.String s_id, java.util.Hashtable parameters)`
`java.lang.String` | `retrieveAll(User user, int resultId, java.util.Hashtable parameters)`
`void` | `run()`
`java.util.Vector` | `scanIndexTerms(User user, java.lang.String xpath, java.lang.String start, java.lang.String end)`
`java.util.Vector` | `scanIndexTerms(User user, java.lang.String collectionName, java.lang.String start, java.lang.String end, boolean inclusive)`
`java.util.Vector` | `scanIndexTerms(User user, XmldbURI collUri, java.lang.String start, java.lang.String end, boolean inclusive)`
`boolean` | `setDocType(User user, java.lang.String documentPath, java.lang.String doctypename, java.lang.String publicid, java.lang.String systemid)`
`boolean` | `setDocType(User user, XmldbURI docUri, java.lang.String doctypename, java.lang.String publicid, java.lang.String systemid)`
`boolean` | `setPermissions(User user, java.lang.String resource, java.lang.String owner, java.lang.String ownerGroup, int permissions)`
`boolean` | `setPermissions(User user, java.lang.String resource, java.lang.String owner, java.lang.String ownerGroup, java.lang.String permissions)`
`boolean` | `setPermissions(User user, XmldbURI uri, java.lang.String owner, java.lang.String ownerGroup, int permissions)`
`boolean` | `setPermissions(User user, XmldbURI uri, java.lang.String owner, java.lang.String ownerGroup, java.lang.String permissions)`
`boolean` | `setUser(User user, java.lang.String name, java.lang.String passwd, java.lang.String passwdDigest, java.util.Vector groups, java.lang.String home)`
`boolean` | `storeBinary(User user, byte[] data, java.lang.String documentPath, java.lang.String mimeType, boolean replace)`
`boolean` | `storeBinary(User user, byte[] data, java.lang.String documentPath, java.lang.String mimeType, boolean replace, java.util.Date created, java.util.Date modified)`
`boolean` | `storeBinary(User user, byte[] data, XmldbURI docUri, java.lang.String mimeType, boolean replace)`
`boolean` | `storeBinary(User user, byte[] data, XmldbURI docUri, java.lang.String mimeType, boolean replace, java.util.Date created, java.util.Date modified)`
`java.util.Hashtable` | `summary(User user, int resultId)`
`java.util.Hashtable` | `summary(User user, java.lang.String xpath)`
`boolean` | `sync()`
`void` | `synchronize()`
`void` | `terminate()`
`boolean` | `unlockResource(User user, java.lang.String documentPath)`
`boolean` | `unlockResource(User user, XmldbURI docURI)`
`java.lang.String` | `upload(User user, byte[] chunk, int length, java.lang.String fileName, boolean compressed)`
`int` | `xupdate(User user, java.lang.String collectionName, java.lang.String xupdate)`
`int` | `xupdate(User user, XmldbURI collUri, java.lang.String xupdate)`
`int` | `xupdateResource(User user, java.lang.String resource, java.lang.String xupdate)`
`int` | `xupdateResource(User user, XmldbURI docUri, java.lang.String xupdate)`

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getContextClassLoader, getName, getPriority, getThreadGroup, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setName, setPriority, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### EXIST_NS

    public static final java.lang.String EXIST_NS

See Also:
  Constant Field Values

Constructor Detail

### RpcConnection

    public RpcConnection(Configuration conf,
                         org.exist.xmlrpc.RpcServer.ConnectionPool pool,
                         java.lang.String id)
                  throws EXistException

Method Detail

### createCollection

    public void createCollection(User user,
                                 java.lang.String name,
                                 java.util.Date created)
                          throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### createCollection

    public void createCollection(User user,
                                 XmldbURI collUri,
                                 java.util.Date created)
                          throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### configureCollection

    public void configureCollection(User user,
                                    java.lang.String collName,
                                    java.lang.String configuration)
                             throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### configureCollection

    public void configureCollection(User user,
                                    XmldbURI collUri,
                                    java.lang.String configuration)
                             throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### createId

    public java.lang.String createId(User user,
                                     java.lang.String collName)
                              throws EXistException,
                                     java.net.URISyntaxException

  Throws:
    `EXistException`
    `java.net.URISyntaxException`

### createId

    public java.lang.String createId(User user,
                                     XmldbURI collUri)
                              throws EXistException

  Throws:
    `EXistException`

### printDiagnostics

    public java.lang.String printDiagnostics(User user,
                                             java.lang.String query,
                                             java.util.Hashtable parameters)
                                      throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### executeQuery

    public int executeQuery(User user,
                            java.lang.String xpath,
                            java.util.Hashtable parameters)
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getCollectionDesc

    public java.util.Hashtable getCollectionDesc(User user,
                                                 java.lang.String rootCollection)
                                          throws java.lang.Exception,
                                                 java.net.URISyntaxException

  Throws:
    `java.lang.Exception`
    `java.net.URISyntaxException`

### getCollectionDesc

    public java.util.Hashtable getCollectionDesc(User user,
                                                 XmldbURI rootUri)
                                          throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### describeResource

    public java.util.Hashtable describeResource(User user,
                                                java.lang.String resourceName)
                                         throws EXistException,
                                                PermissionDeniedException,
                                                java.net.URISyntaxException

  Throws:
    `EXistException`
    `PermissionDeniedException`
    `java.net.URISyntaxException`

### describeResource

    public java.util.Hashtable describeResource(User user,
                                                XmldbURI resourceUri)
                                         throws EXistException,
                                                PermissionDeniedException

  Throws:
    `EXistException`
    `PermissionDeniedException`

### describeCollection

    public java.util.Hashtable describeCollection(User user,
                                                  java.lang.String rootCollection)
                                           throws java.lang.Exception,
                                                  java.net.URISyntaxException

  Throws:
    `java.lang.Exception`
    `java.net.URISyntaxException`

### describeCollection

    public java.util.Hashtable describeCollection(User user,
                                                  XmldbURI collUri)
                                           throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getDocument

    public java.lang.String getDocument(User user,
                                        java.lang.String docName,
                                        java.util.Hashtable parametri)
                                 throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getDocument

    public java.lang.String getDocument(User user,
                                        XmldbURI docUri,
                                        java.util.Hashtable parametri)
                                 throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getDocumentData

    public java.util.Hashtable getDocumentData(User user,
                                               java.lang.String docName,
                                               java.util.Hashtable parameters)
                                        throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getNextChunk

    public java.util.Hashtable getNextChunk(User user,
                                            java.lang.String handle,
                                            int offset)
                                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getBinaryResource

    public byte[] getBinaryResource(User user,
                                    java.lang.String name)
                             throws EXistException,
                                    PermissionDeniedException,
                                    java.net.URISyntaxException

  Throws:
    `EXistException`
    `PermissionDeniedException`
    `java.net.URISyntaxException`

### getBinaryResource

    public byte[] getBinaryResource(User user,
                                    XmldbURI name)
                             throws EXistException,
                                    PermissionDeniedException

  Throws:
    `EXistException`
    `PermissionDeniedException`

### xupdate

    public int xupdate(User user,
                       java.lang.String collectionName,
                       java.lang.String xupdate)
                throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### xupdate

    public int xupdate(User user,
                       XmldbURI collUri,
                       java.lang.String xupdate)
                throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### xupdateResource

    public int xupdateResource(User user,
                               java.lang.String resource,
                               java.lang.String xupdate)
                        throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### xupdateResource

    public int xupdateResource(User user,
                               XmldbURI docUri,
                               java.lang.String xupdate)
                        throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### sync

    public boolean sync()

### isXACMLEnabled

    public boolean isXACMLEnabled()

### dataBackup

    public boolean dataBackup(User user,
                              java.lang.String dest)

### getDocumentListing

    public java.util.Vector getDocumentListing(User user)
                                        throws EXistException

  Throws:
    `EXistException`

### getDocumentListing

    public java.util.Vector getDocumentListing(User user,
                                               java.lang.String collName)
                                        throws EXistException,
                                               PermissionDeniedException,
                                               java.net.URISyntaxException

  Throws:
    `EXistException`
    `PermissionDeniedException`
    `java.net.URISyntaxException`

### getDocumentListing

    public java.util.Vector getDocumentListing(User user,
                                               XmldbURI collUri)
                                        throws EXistException,
                                               PermissionDeniedException

  Throws:
    `EXistException`
    `PermissionDeniedException`

### getResourceCount

    public int getResourceCount(User user,
                                java.lang.String collectionName)
                         throws EXistException,
                                PermissionDeniedException,
                                java.net.URISyntaxException

  Throws:
    `EXistException`
    `PermissionDeniedException`
    `java.net.URISyntaxException`

### getResourceCount

    public int getResourceCount(User user,
                                XmldbURI collUri)
                         throws EXistException,
                                PermissionDeniedException

  Throws:
    `EXistException`
    `PermissionDeniedException`

### createResourceId

    public java.lang.String createResourceId(User user,
                                             java.lang.String collectionName)
                                      throws EXistException,
                                             PermissionDeniedException,
                                             java.net.URISyntaxException

  Throws:
    `EXistException`
    `PermissionDeniedException`
    `java.net.URISyntaxException`

### createResourceId

    public java.lang.String createResourceId(User user,
                                             XmldbURI collUri)
                                      throws EXistException,
                                             PermissionDeniedException

  Throws:
    `EXistException`
    `PermissionDeniedException`

### listDocumentPermissions

    public java.util.Hashtable listDocumentPermissions(User user,
                                                       java.lang.String name)
                                                throws EXistException,
                                                       PermissionDeniedException,
                                                       java.net.URISyntaxException

  Throws:
    `EXistException`
    `PermissionDeniedException`
    `java.net.URISyntaxException`

### listDocumentPermissions

    public java.util.Hashtable listDocumentPermissions(User user,
                                                       XmldbURI collUri)
                                                throws EXistException,
                                                       PermissionDeniedException

  Throws:
    `EXistException`
    `PermissionDeniedException`

### listCollectionPermissions

    public java.util.Hashtable listCollectionPermissions(User user,
                                                         java.lang.String name)
                                                  throws EXistException,
                                                         PermissionDeniedException,
                                                         java.net.URISyntaxException

  Throws:
    `EXistException`
    `PermissionDeniedException`
    `java.net.URISyntaxException`

### listCollectionPermissions

    public java.util.Hashtable listCollectionPermissions(User user,
                                                         XmldbURI collUri)
                                                  throws EXistException,
                                                         PermissionDeniedException

  Throws:
    `EXistException`
    `PermissionDeniedException`

### getHits

    public int getHits(User user,
                       int resultId)
                throws EXistException

  Throws:
    `EXistException`

### getPermissions

    public java.util.Hashtable getPermissions(User user,
                                              java.lang.String name)
                                       throws EXistException,
                                              PermissionDeniedException,
                                              java.net.URISyntaxException

  Throws:
    `EXistException`
    `PermissionDeniedException`
    `java.net.URISyntaxException`

### getPermissions

    public java.util.Hashtable getPermissions(User user,
                                              XmldbURI uri)
                                       throws EXistException,
                                              PermissionDeniedException

  Throws:
    `EXistException`
    `PermissionDeniedException`

### getCreationDate

    public java.util.Date getCreationDate(User user,
                                          java.lang.String collectionPath)
                                   throws PermissionDeniedException,
                                          EXistException,
                                          java.net.URISyntaxException

  Throws:
    `PermissionDeniedException`
    `EXistException`
    `java.net.URISyntaxException`

### getCreationDate

    public java.util.Date getCreationDate(User user,
                                          XmldbURI collUri)
                                   throws PermissionDeniedException,
                                          EXistException

  Throws:
    `PermissionDeniedException`
    `EXistException`

### getTimestamps

    public java.util.Vector getTimestamps(User user,
                                          java.lang.String documentPath)
                                   throws PermissionDeniedException,
                                          EXistException,
                                          java.net.URISyntaxException

  Throws:
    `PermissionDeniedException`
    `EXistException`
    `java.net.URISyntaxException`

### getTimestamps

    public java.util.Vector getTimestamps(User user,
                                          XmldbURI docUri)
                                   throws PermissionDeniedException,
                                          EXistException

  Throws:
    `PermissionDeniedException`
    `EXistException`

### getUser

    public java.util.Hashtable getUser(User user,
                                       java.lang.String name)
                                throws EXistException,
                                       PermissionDeniedException

  Throws:
    `EXistException`
    `PermissionDeniedException`

### getUsers

    public java.util.Vector getUsers(User user)
                              throws EXistException,
                                     PermissionDeniedException

  Throws:
    `EXistException`
    `PermissionDeniedException`

### getGroups

    public java.util.Vector getGroups(User user)
                               throws EXistException,
                                      PermissionDeniedException

  Throws:
    `EXistException`
    `PermissionDeniedException`

### hasDocument

    public boolean hasDocument(User user,
                               java.lang.String documentPath)
                        throws java.lang.Exception,
                               java.net.URISyntaxException

  Throws:
    `java.lang.Exception`
    `java.net.URISyntaxException`

### hasDocument

    public boolean hasDocument(User user,
                               XmldbURI docUri)
                        throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### hasCollection

    public boolean hasCollection(User user,
                                 java.lang.String collectionName)
                          throws java.lang.Exception,
                                 java.net.URISyntaxException

  Throws:
    `java.lang.Exception`
    `java.net.URISyntaxException`

### hasCollection

    public boolean hasCollection(User user,
                                 XmldbURI collUri)
                          throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### parse

    public boolean parse(User user,
                         byte[] xml,
                         java.lang.String documentPath,
                         boolean replace)
                  throws java.lang.Exception,
                         java.net.URISyntaxException

  Throws:
    `java.lang.Exception`
    `java.net.URISyntaxException`

### parse

    public boolean parse(User user,
                         byte[] xml,
                         XmldbURI docUri,
                         boolean replace)
                  throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### parse

    public boolean parse(User user,
                         byte[] xml,
                         java.lang.String documentPath,
                         boolean replace,
                         java.util.Date created,
                         java.util.Date modified)
                  throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### parse

    public boolean parse(User user,
                         byte[] xml,
                         XmldbURI docUri,
                         boolean replace,
                         java.util.Date created,
                         java.util.Date modified)
                  throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### parseLocal

    public boolean parseLocal(User user,
                              java.lang.String localFile,
                              java.lang.String documentPath,
                              boolean replace)
                       throws java.lang.Exception,
                              java.net.URISyntaxException

  Parse a file previously uploaded with upload. The temporary file will be removed.

  Parameters:
    `user` -
    `localFile` -
  Throws:
    `EXistException`
    `java.io.IOException`
    `java.lang.Exception`
    `java.net.URISyntaxException`

### parseLocal

    public boolean parseLocal(User user,
                              java.lang.String localFile,
                              XmldbURI docUri,
                              boolean replace)
                       throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### parseLocal

    public boolean parseLocal(User user,
                              java.lang.String localFile,
                              java.lang.String documentPath,
                              boolean replace,
                              java.util.Date created,
                              java.util.Date modified)
                       throws java.lang.Exception,
                              java.net.URISyntaxException

  Throws:
    `java.lang.Exception`
    `java.net.URISyntaxException`

### parseLocal

    public boolean parseLocal(User user,
                              java.lang.String localFile,
                              XmldbURI docUri,
                              boolean replace,
                              java.util.Date created,
                              java.util.Date modified)
                       throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### storeBinary

    public boolean storeBinary(User user,
                               byte[] data,
                               java.lang.String documentPath,
                               java.lang.String mimeType,
                               boolean replace)
                        throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### storeBinary

    public boolean storeBinary(User user,
                               byte[] data,
                               XmldbURI docUri,
                               java.lang.String mimeType,
                               boolean replace)
                        throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### storeBinary

    public boolean storeBinary(User user,
                               byte[] data,
                               java.lang.String documentPath,
                               java.lang.String mimeType,
                               boolean replace,
                               java.util.Date created,
                               java.util.Date modified)
                        throws java.lang.Exception,
                               java.net.URISyntaxException

  Throws:
    `java.lang.Exception`
    `java.net.URISyntaxException`

### storeBinary

    public boolean storeBinary(User user,
                               byte[] data,
                               XmldbURI docUri,
                               java.lang.String mimeType,
                               boolean replace,
                               java.util.Date created,
                               java.util.Date modified)
                        throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### upload

    public java.lang.String upload(User user,
                                   byte[] chunk,
                                   int length,
                                   java.lang.String fileName,
                                   boolean compressed)
                            throws EXistException,
                                   java.io.IOException

  Throws:
    `EXistException`
    `java.io.IOException`

### compile

    public java.util.Hashtable compile(User user,
                                       java.lang.String query,
                                       java.util.Hashtable parameters)
                                throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### query

    public java.lang.String query(User user,
                                  java.lang.String xpath,
                                  int howmany,
                                  int start,
                                  java.util.Hashtable parameters)
                           throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### queryP

    public java.util.Hashtable queryP(User user,
                                      java.lang.String xpath,
                                      java.lang.String documentPath,
                                      java.lang.String s_id,
                                      java.util.Hashtable parameters)
                               throws java.lang.Exception,
                                      java.net.URISyntaxException

  Throws:
    `java.lang.Exception`
    `java.net.URISyntaxException`

### queryP

    public java.util.Hashtable queryP(User user,
                                      java.lang.String xpath,
                                      XmldbURI docUri,
                                      java.lang.String s_id,
                                      java.util.Hashtable parameters)
                               throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### execute

    public java.util.Hashtable execute(User user,
                                       java.lang.String xpath,
                                       java.util.Hashtable parameters)
                                throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### releaseQueryResult

    public void releaseQueryResult(int handle)

### remove

    public void remove(User user,
                       java.lang.String documentPath)
                throws java.lang.Exception,
                       java.net.URISyntaxException

  Throws:
    `java.lang.Exception`
    `java.net.URISyntaxException`

### remove

    public void remove(User user,
                       XmldbURI docUri)
                throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### removeCollection

    public boolean removeCollection(User user,
                                    java.lang.String collectionName)
                             throws java.lang.Exception,
                                    java.net.URISyntaxException

  Throws:
    `java.lang.Exception`
    `java.net.URISyntaxException`

### removeCollection

    public boolean removeCollection(User user,
                                    XmldbURI collURI)
                             throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### removeUser

    public boolean removeUser(User user,
                              java.lang.String name)
                       throws EXistException,
                              PermissionDeniedException

  Throws:
    `EXistException`
    `PermissionDeniedException`

### retrieve

    public java.lang.String retrieve(User user,
                                     java.lang.String documentPath,
                                     java.lang.String s_id,
                                     java.util.Hashtable parameters)
                              throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### retrieve

    public java.lang.String retrieve(User user,
                                     XmldbURI docUri,
                                     java.lang.String s_id,
                                     java.util.Hashtable parameters)
                              throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### retrieve

    public java.lang.String retrieve(User user,
                                     int resultId,
                                     int num,
                                     java.util.Hashtable parameters)
                              throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### retrieveAll

    public java.lang.String retrieveAll(User user,
                                        int resultId,
                                        java.util.Hashtable parameters)
                                 throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### run

    public void run()

### setPermissions

    public boolean setPermissions(User user,
                                  java.lang.String resource,
                                  java.lang.String owner,
                                  java.lang.String ownerGroup,
                                  java.lang.String permissions)
                           throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### setPermissions

    public boolean setPermissions(User user,
                                  XmldbURI uri,
                                  java.lang.String owner,
                                  java.lang.String ownerGroup,
                                  java.lang.String permissions)
                           throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### setPermissions

    public boolean setPermissions(User user,
                                  java.lang.String resource,
                                  java.lang.String owner,
                                  java.lang.String ownerGroup,
                                  int permissions)
                           throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### setPermissions

    public boolean setPermissions(User user,
                                  XmldbURI uri,
                                  java.lang.String owner,
                                  java.lang.String ownerGroup,
                                  int permissions)
                           throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### setUser

    public boolean setUser(User user,
                           java.lang.String name,
                           java.lang.String passwd,
                           java.lang.String passwdDigest,
                           java.util.Vector groups,
                           java.lang.String home)
                    throws EXistException,
                           PermissionDeniedException

  Throws:
    `EXistException`
    `PermissionDeniedException`

### lockResource

    public boolean lockResource(User user,
                                java.lang.String documentPath,
                                java.lang.String userName)
                         throws java.lang.Exception,
                                java.net.URISyntaxException

  Throws:
    `java.lang.Exception`
    `java.net.URISyntaxException`

### lockResource

    public boolean lockResource(User user,
                                XmldbURI docURI,
                                java.lang.String userName)
                         throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### hasUserLock

    public java.lang.String hasUserLock(User user,
                                        java.lang.String documentPath)
                                 throws java.lang.Exception,
                                        java.net.URISyntaxException

  Throws:
    `java.lang.Exception`
    `java.net.URISyntaxException`

### hasUserLock

    public java.lang.String hasUserLock(User user,
                                        XmldbURI docURI)
                                 throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### unlockResource

    public boolean unlockResource(User user,
                                  java.lang.String documentPath)
                           throws java.lang.Exception,
                                  java.net.URISyntaxException

  Throws:
    `java.lang.Exception`
    `java.net.URISyntaxException`

### unlockResource

    public boolean unlockResource(User user,
                                  XmldbURI docURI)
                           throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### summary

    public java.util.Hashtable summary(User user,
                                       java.lang.String xpath)
                                throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### summary

    public java.util.Hashtable summary(User user,
                                       int resultId)
                                throws EXistException,
                                       XPathException

  Throws:
    `EXistException`
    `XPathException`

### getIndexedElements

    public java.util.Vector getIndexedElements(User user,
                                               java.lang.String collectionName,
                                               boolean inclusive)
                                        throws EXistException,
                                               PermissionDeniedException,
                                               java.net.URISyntaxException

  Throws:
    `EXistException`
    `PermissionDeniedException`
    `java.net.URISyntaxException`

### getIndexedElements

    public java.util.Vector getIndexedElements(User user,
                                               XmldbURI collUri,
                                               boolean inclusive)
                                        throws EXistException,
                                               PermissionDeniedException

  Throws:
    `EXistException`
    `PermissionDeniedException`

### scanIndexTerms

    public java.util.Vector scanIndexTerms(User user,
                                           java.lang.String collectionName,
                                           java.lang.String start,
                                           java.lang.String end,
                                           boolean inclusive)
                                    throws PermissionDeniedException,
                                           EXistException,
                                           java.net.URISyntaxException

  Throws:
    `PermissionDeniedException`
    `EXistException`
    `java.net.URISyntaxException`

### scanIndexTerms

    public java.util.Vector scanIndexTerms(User user,
                                           XmldbURI collUri,
                                           java.lang.String start,
                                           java.lang.String end,
                                           boolean inclusive)
                                    throws PermissionDeniedException,
                                           EXistException

  Throws:
    `PermissionDeniedException`
    `EXistException`

### scanIndexTerms

    public java.util.Vector scanIndexTerms(User user,
                                           java.lang.String xpath,
                                           java.lang.String start,
                                           java.lang.String end)
                                    throws PermissionDeniedException,
                                           EXistException,
                                           XPathException

  Throws:
    `PermissionDeniedException`
    `EXistException`
    `XPathException`

### synchronize

    public void synchronize()

### terminate

    public void terminate()

### getDocumentChunk

    public byte[] getDocumentChunk(User user,
                                   java.lang.String name,
                                   int start,
                                   int len)
                            throws EXistException,
                                   PermissionDeniedException,
                                   java.io.IOException

  Throws:
    `EXistException`
    `PermissionDeniedException`
    `java.io.IOException`

### moveOrCopyResource

    public boolean moveOrCopyResource(User user,
                                      java.lang.String documentPath,
                                      java.lang.String destinationPath,
                                      java.lang.String newName,
                                      boolean move)
                               throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### moveOrCopyResource

    public boolean moveOrCopyResource(User user,
                                      XmldbURI docUri,
                                      XmldbURI destUri,
                                      XmldbURI newName,
                                      boolean move)
                               throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### moveOrCopyCollection

    public boolean moveOrCopyCollection(User user,
                                        java.lang.String collectionName,
                                        java.lang.String destinationPath,
                                        java.lang.String newName,
                                        boolean move)
                                 throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### moveOrCopyCollection

    public boolean moveOrCopyCollection(User user,
                                        XmldbURI collUri,
                                        XmldbURI destUri,
                                        XmldbURI newName,
                                        boolean move)
                                 throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### reindexCollection

    public void reindexCollection(User user,
                                  java.lang.String collectionName)
                           throws java.lang.Exception,
                                  java.net.URISyntaxException

  Throws:
    `java.lang.Exception`
    `java.net.URISyntaxException`

### reindexCollection

    public void reindexCollection(User user,
                                  XmldbURI collUri)
                           throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### backup

    public void backup(User user,
                       java.lang.String userbackup,
                       java.lang.String password,
                       java.lang.String destcollection,
                       java.lang.String collection)
                throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### isValid

    public boolean isValid(User user,
                           java.lang.String documentPath)
                    throws java.lang.Exception

  Validate if specified document is Valid.

  Parameters:
    `user` - Name of user
    `documentPath` - Path to XML document in database
  Returns:
    TRUE if document is valid, FALSE if not or errors or.....
  Throws:
    `java.lang.Exception` - Generic exception
    `PermissionDeniedException` - User is not allowed to perform action.

### isValid

    public boolean isValid(User user,
                           XmldbURI docUri)
                    throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getDocType

    public java.util.Vector getDocType(User user,
                                       java.lang.String documentPath)
                                throws PermissionDeniedException,
                                       EXistException,
                                       java.net.URISyntaxException

  Throws:
    `PermissionDeniedException`
    `EXistException`
    `java.net.URISyntaxException`

### getDocType

    public java.util.Vector getDocType(User user,
                                       XmldbURI docUri)
                                throws PermissionDeniedException,
                                       EXistException

  Throws:
    `PermissionDeniedException`
    `EXistException`

### setDocType

    public boolean setDocType(User user,
                              java.lang.String documentPath,
                              java.lang.String doctypename,
                              java.lang.String publicid,
                              java.lang.String systemid)
                       throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### setDocType

    public boolean setDocType(User user,
                              XmldbURI docUri,
                              java.lang.String doctypename,
                              java.lang.String publicid,
                              java.lang.String systemid)
                       throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Wolfgang Meier. All rights reserved.